.nice-select {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  background-color: #fff;
  border-radius: 5px;
  border: solid 1px #e8e8e8;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  clear: both;
  cursor: pointer;
  display: inline-block;
  /*float: left;*/
  font-family: inherit;
  font-size: 14px;
  font-weight: normal;
  height: 42px;
  line-height: 40px;
  outline: none;
  padding-left: 18px;
  padding-right: 30px;
  position: relative;
  text-align: left !important;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  white-space: nowrap;
  width: auto;
}
.nice-select:hover {
  border-color: #dbdbdb;
}
.nice-select:active,
.nice-select.open,
.nice-select:focus {
  border-color: #999;
}
.nice-select:after {
  border-bottom: 2px solid #999;
  border-right: 2px solid #999;
  content: "";
  display: block;
  height: 5px;
  margin-top: -4px;
  pointer-events: none;
  position: absolute;
  right: 12px;
  top: 50%;
  -webkit-transform-origin: 66% 66%;
  -ms-transform-origin: 66% 66%;
  transform-origin: 66% 66%;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  -webkit-transition: all 0.15s ease-in-out;
  -o-transition: all 0.15s ease-in-out;
  transition: all 0.15s ease-in-out;
  width: 5px;
}
.nice-select.open:after {
  -webkit-transform: rotate(-135deg);
  -ms-transform: rotate(-135deg);
  transform: rotate(-135deg);
}
.nice-select.open .list {
  opacity: 1;
  pointer-events: auto;
  -webkit-transform: scale(1) translateY(0);
  -ms-transform: scale(1) translateY(0);
  transform: scale(1) translateY(0);
}
.nice-select.disabled {
  border-color: #ededed;
  color: #999;
  pointer-events: none;
}
.nice-select.disabled:after {
  border-color: #cccccc;
}
.nice-select.wide {
  width: 100%;
}
.nice-select.wide .list {
  left: 0 !important;
  right: 0 !important;
}
.nice-select.right {
  float: right;
}
.nice-select.right .list {
  left: auto;
  right: 0;
}
.nice-select.small {
  font-size: 12px;
  height: 36px;
  line-height: 34px;
}
.nice-select.small:after {
  height: 4px;
  width: 4px;
}
.nice-select.small .option {
  line-height: 34px;
  min-height: 34px;
}
.nice-select .list {
  background-color: #fff;
  border-radius: 5px;
  -webkit-box-shadow: 0 0 0 1px rgba(68, 68, 68, 0.11);
  box-shadow: 0 0 0 1px rgba(68, 68, 68, 0.11);
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  margin-top: 4px;
  opacity: 0;
  overflow: hidden;
  padding: 0;
  pointer-events: none;
  position: absolute;
  top: 100%;
  left: 0;
  -webkit-transform-origin: 50% 0;
  -ms-transform-origin: 50% 0;
  transform-origin: 50% 0;
  -webkit-transform: scale(0.75) translateY(-21px);
  -ms-transform: scale(0.75) translateY(-21px);
  transform: scale(0.75) translateY(-21px);
  -webkit-transition: all 0.2s cubic-bezier(0.5, 0, 0, 1.25),
    opacity 0.15s ease-out;
  -o-transition: all 0.2s cubic-bezier(0.5, 0, 0, 1.25), opacity 0.15s ease-out;
  transition: all 0.2s cubic-bezier(0.5, 0, 0, 1.25), opacity 0.15s ease-out;
  z-index: 999;
}
.nice-select .list:hover .option:not(:hover) {
  background-color: transparent !important;
}
.nice-select .option {
  cursor: pointer;
  font-weight: 400;
  line-height: 40px;
  list-style: none;
  min-height: 40px;
  outline: none;
  padding-left: 18px;
  padding-right: 29px;
  text-align: left;
  -webkit-transition: all 0.2s;
  -o-transition: all 0.2s;
  transition: all 0.2s;
}
.nice-select .option:hover,
.nice-select .option.focus,
.nice-select .option.selected.focus {
  background-color: #f6f6f6;
}
.nice-select .option.selected {
  font-weight: bold;
}
.nice-select .option.disabled {
  background-color: transparent;
  color: #999;
  cursor: default;
}

.no-csspointerevents .nice-select .list {
  display: none;
}

.no-csspointerevents .nice-select.open .list {
  display: block;
}

/*
 * easy-autocomplete
 * jQuery plugin for autocompletion
 * 
 * @author Łukasz Pawełczak (http://github.com/pawelczak)
 * @version 1.3.5
 * Copyright  License: 
 */

.easy-autocomplete {
  position: relative;
}
.easy-autocomplete input {
  border-color: #ccc;
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset;
  color: #555;
  float: none;
  padding: 6px 12px;
}
.easy-autocomplete input:hover,
.easy-autocomplete input:focus {
  box-shadow: none;
}
.easy-autocomplete a {
  display: block;
}
.easy-autocomplete.eac-blue-light input:hover,
.easy-autocomplete.eac-blue-light input:focus {
  border-color: #66afe9;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(102, 175, 233, 0.6);
}
.easy-autocomplete.eac-blue-light ul {
  border-color: #66afe9;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(102, 175, 233, 0.6);
}
.easy-autocomplete.eac-blue-light ul li,
.easy-autocomplete.eac-blue-light ul .eac-category {
  border-color: #66afe9;
}
.easy-autocomplete.eac-blue-light ul li.selected,
.easy-autocomplete.eac-blue-light ul .eac-category.selected {
  background-color: #ecf5fc;
}
.easy-autocomplete.eac-green-light input:hover,
.easy-autocomplete.eac-green-light input:focus {
  border-color: #41db00;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(146, 237, 107, 0.6);
}
.easy-autocomplete.eac-green-light ul {
  border-color: #41db00;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(146, 237, 107, 0.6);
}
.easy-autocomplete.eac-green-light ul li,
.easy-autocomplete.eac-green-light ul .eac-category {
  border-color: #41db00;
}
.easy-autocomplete.eac-green-light ul li.selected,
.easy-autocomplete.eac-green-light ul .eac-category.selected {
  background-color: #9eff75;
}
.easy-autocomplete.eac-red-light input:hover,
.easy-autocomplete.eac-red-light input:focus {
  border-color: #ff5b5b;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(255, 90, 90, 0.6);
}
.easy-autocomplete.eac-red-light ul {
  border-color: #ff5b5b;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(255, 90, 90, 0.6);
}
.easy-autocomplete.eac-red-light ul li,
.easy-autocomplete.eac-red-light ul .eac-category {
  border-color: #ff5b5b;
}
.easy-autocomplete.eac-red-light ul li.selected,
.easy-autocomplete.eac-red-light ul .eac-category.selected {
  background-color: #ff8e8e;
}
.easy-autocomplete.eac-yellow-light input:hover,
.easy-autocomplete.eac-yellow-light input:focus {
  border-color: #ffdb00;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(255, 231, 84, 0.6);
}
.easy-autocomplete.eac-yellow-light ul {
  border-color: #ffdb00;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(255, 231, 84, 0.6);
}
.easy-autocomplete.eac-yellow-light ul li,
.easy-autocomplete.eac-yellow-light ul .eac-category {
  border-color: #ffdb00;
}
.easy-autocomplete.eac-yellow-light ul li.selected,
.easy-autocomplete.eac-yellow-light ul .eac-category.selected {
  background-color: #ffe233;
}
.easy-autocomplete.eac-dark-light input:hover,
.easy-autocomplete.eac-dark-light input:focus {
  border-color: #333;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(55, 55, 55, 0.6);
}
.easy-autocomplete.eac-dark-light ul {
  border-color: #333;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset,
    0 0 8px rgba(55, 55, 55, 0.6);
}
.easy-autocomplete.eac-dark-light ul li,
.easy-autocomplete.eac-dark-light ul .eac-category {
  border-color: #333;
}
.easy-autocomplete.eac-dark-light ul li.selected,
.easy-autocomplete.eac-dark-light ul .eac-category.selected {
  background-color: #4d4d4d;
  color: #fff;
}
.easy-autocomplete.eac-dark {
  color: #fff;
}
.easy-autocomplete.eac-dark input {
  background-color: #404040;
  border-radius: 4px;
  box-shadow: 0;
  color: #f6f6f6;
}
.easy-autocomplete.eac-dark input:hover,
.easy-autocomplete.eac-dark input:focus {
  border-color: #333;
  box-shadow: 0;
}
.easy-autocomplete.eac-dark ul {
  border-color: #333;
}
.easy-autocomplete.eac-dark ul li,
.easy-autocomplete.eac-dark ul .eac-category {
  background-color: #404040;
  border-color: #333;
}
.easy-autocomplete.eac-dark ul li.selected,
.easy-autocomplete.eac-dark ul .eac-category.selected {
  background-color: #737373;
  color: #f6f6f6;
}
.easy-autocomplete.eac-dark-glass {
  color: #fff;
}
.easy-autocomplete.eac-dark-glass input {
  background-color: rgba(0, 0, 0, 0.8);
  border-radius: 4px;
  box-shadow: 0;
  color: #f6f6f6;
}
.easy-autocomplete.eac-dark-glass input:hover,
.easy-autocomplete.eac-dark-glass input:focus {
  border-color: rgba(0, 0, 0, 0.8);
  box-shadow: 0;
}
.easy-autocomplete.eac-dark-glass ul {
  border-color: rgba(0, 0, 0, 0.8);
}
.easy-autocomplete.eac-dark-glass ul li,
.easy-autocomplete.eac-dark-glass ul .eac-category {
  background-color: rgba(0, 0, 0, 0.8);
  border-color: rgba(0, 0, 0, 0.8);
}
.easy-autocomplete.eac-dark-glass ul li.selected,
.easy-autocomplete.eac-dark-glass ul .eac-category.selected {
  background-color: rgba(64, 64, 64, 0.8);
  color: #f6f6f6;
}
.easy-autocomplete.eac-dark-glass ul li:last-child,
.easy-autocomplete.eac-dark-glass ul .eac-category:last-child {
  border-radius: 0 0 4px 4px;
}
.easy-autocomplete.eac-blue {
  color: #fff;
}
.easy-autocomplete.eac-blue input {
  background-color: #6d9ed1;
  border-radius: 4px;
  box-shadow: 0;
  color: #f6f6f6;
}
.easy-autocomplete.eac-blue input::-webkit-input-placeholder {
  color: #f6f6f6;
}
.easy-autocomplete.eac-blue input:-moz-placeholder {
  color: #f6f6f6;
}
.easy-autocomplete.eac-blue input::-moz-placeholder {
  color: #f6f6f6;
}
.easy-autocomplete.eac-blue input:-ms-input-placeholder {
  color: #f6f6f6;
}
.easy-autocomplete.eac-blue input:hover,
.easy-autocomplete.eac-blue input:focus {
  border-color: #5a91cb;
  box-shadow: 0;
}
.easy-autocomplete.eac-blue ul {
  border-color: #5a91cb;
}
.easy-autocomplete.eac-blue ul li,
.easy-autocomplete.eac-blue ul .eac-category {
  background-color: #6d9ed1;
  border-color: #5a91cb;
}
.easy-autocomplete.eac-blue ul li.selected,
.easy-autocomplete.eac-blue ul .eac-category.selected {
  background-color: #94b8dd;
  color: #f6f6f6;
}
.easy-autocomplete.eac-yellow {
  color: #333;
}
.easy-autocomplete.eac-yellow input {
  background-color: #ffdb7e;
  border-color: #333;
  border-radius: 4px;
  box-shadow: 0;
  color: #333;
}
.easy-autocomplete.eac-yellow input:hover,
.easy-autocomplete.eac-yellow input:focus {
  border-color: #333;
  box-shadow: 0;
}
.easy-autocomplete.eac-yellow ul {
  border-color: #333;
}
.easy-autocomplete.eac-yellow ul li,
.easy-autocomplete.eac-yellow ul .eac-category {
  background-color: #ffdb7e;
  border-color: #333;
}
.easy-autocomplete.eac-yellow ul li.selected,
.easy-autocomplete.eac-yellow ul .eac-category.selected {
  background-color: #ffe9b1;
  color: #333;
}
.easy-autocomplete.eac-purple {
  color: #333;
}
.easy-autocomplete.eac-purple input {
  background-color: #d6d1e7;
  border-color: #b8afd5;
  box-shadow: 0;
  color: #333;
}
.easy-autocomplete.eac-purple input:hover,
.easy-autocomplete.eac-purple input:focus {
  border-color: #333;
  box-shadow: 0;
}
.easy-autocomplete.eac-purple ul {
  border-color: #333;
}
.easy-autocomplete.eac-purple ul li,
.easy-autocomplete.eac-purple ul .eac-category {
  background-color: #d6d1e7;
  border-color: #333;
}
.easy-autocomplete.eac-purple ul li.selected,
.easy-autocomplete.eac-purple ul .eac-category.selected {
  background-color: #ebe8f3;
  color: #333;
}
.easy-autocomplete.eac-bootstrap input {
  border-color: #ccc;
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  color: #555;
  padding: 6px 12px;
}

.easy-autocomplete-container {
  left: 0;
  position: absolute;
  width: 100%;
  z-index: 2;
}
.easy-autocomplete-container ul {
  background: none repeat scroll 0 0 #ffffff;
  border-top: 1px dotted #ccc;
  display: none;
  margin-top: 0;
  padding-bottom: 0;
  padding-left: 0;
  position: relative;
  top: -1px;
}
.easy-autocomplete-container ul li,
.easy-autocomplete-container ul .eac-category {
  background: inherit;
  border-color: #ccc;
  border-image: none;
  border-style: solid;
  border-width: 0 1px;
  display: block;
  font-size: 14px;
  font-weight: normal;
  padding: 4px 12px;
}
.easy-autocomplete-container ul li:last-child {
  border-radius: 0 0 2px 2px;
  border-width: 0 1px 1px;
}
.easy-autocomplete-container ul li.selected {
  background: none repeat scroll 0 0 #ebebeb;
  cursor: pointer;
}
.easy-autocomplete-container ul li.selected div {
  font-weight: normal;
}
.easy-autocomplete-container ul li div {
  display: block;
  font-weight: normal;
  word-break: break-all;
}
.easy-autocomplete-container ul li b {
  font-weight: bold;
}
.easy-autocomplete-container ul .eac-category {
  font-color: #aaa;
  font-style: italic;
}

.eac-description .eac-item span {
  color: #aaa;
  font-style: italic;
  font-size: 0.9em;
}

.eac-icon-left .eac-item img {
  margin-right: 4px;
  max-height: 30px;
}

.eac-icon-right .eac-item {
  margin-top: 8px;
  min-height: 24px;
  position: relative;
}
.eac-icon-right .eac-item img {
  margin-left: 4px;
  max-height: 30px;
  position: absolute;
  right: -4px;
  top: -8px;
}

/*!
 * Datepicker v1.0.9
 * https://fengyuanchen.github.io/datepicker
 *
 * Copyright 2014-present Chen Fengyuan
 * Released under the MIT license
 *
 * Date: 2019-09-21T06:57:30.334Z
 */
.datepicker-container {
  background-color: #fff;
  direction: ltr;
  font-size: 12px;
  left: 0;
  line-height: 30px;
  position: fixed;
  -webkit-tap-highlight-color: transparent;
  top: 0;
  -ms-touch-action: none;
  touch-action: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: 210px;
  z-index: -1;
}
.datepicker-container:after,
.datepicker-container:before {
  border: 5px solid transparent;
  content: " ";
  display: block;
  height: 0;
  position: absolute;
  width: 0;
}
.datepicker-dropdown {
  border: 1px solid #ccc;
  -webkit-box-shadow: 0 3px 6px #ccc;
  box-shadow: 0 3px 6px #ccc;
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
  position: absolute;
  z-index: 1;
}
.datepicker-inline {
  position: static;
}
.datepicker-top-left,
.datepicker-top-right {
  border-top-color: #39f;
}
.datepicker-top-left:after,
.datepicker-top-left:before,
.datepicker-top-right:after,
.datepicker-top-right:before {
  border-top: 0;
  left: 10px;
  top: -5px;
}
.datepicker-top-left:before,
.datepicker-top-right:before {
  border-bottom-color: #39f;
}
.datepicker-top-left:after,
.datepicker-top-right:after {
  border-bottom-color: #fff;
  top: -4px;
}
.datepicker-bottom-left,
.datepicker-bottom-right {
  border-bottom-color: #39f;
}
.datepicker-bottom-left:after,
.datepicker-bottom-left:before,
.datepicker-bottom-right:after,
.datepicker-bottom-right:before {
  border-bottom: 0;
  bottom: -5px;
  left: 10px;
}
.datepicker-bottom-left:before,
.datepicker-bottom-right:before {
  border-top-color: #39f;
}
.datepicker-bottom-left:after,
.datepicker-bottom-right:after {
  border-top-color: #fff;
  bottom: -4px;
}
.datepicker-bottom-right:after,
.datepicker-bottom-right:before,
.datepicker-top-right:after,
.datepicker-top-right:before {
  left: auto;
  right: 10px;
}
.datepicker-panel > ul {
  margin: 0;
  padding: 0;
  width: 102%;
}
.datepicker-panel > ul:after,
.datepicker-panel > ul:before {
  content: " ";
  display: table;
}
.datepicker-panel > ul:after {
  clear: both;
}
.datepicker-panel > ul > li {
  background-color: #fff;
  cursor: pointer;
  float: left;
  height: 30px;
  list-style: none;
  margin: 0;
  padding: 0;
  text-align: center;
  width: 30px;
}
.datepicker-panel > ul > li:hover {
  background-color: #e5f2ff;
}
.datepicker-panel > ul > li.muted,
.datepicker-panel > ul > li.muted:hover {
  color: #999;
}
.datepicker-panel > ul > li.highlighted {
  background-color: #e5f2ff;
}
.datepicker-panel > ul > li.highlighted:hover {
  background-color: #cce5ff;
}
.datepicker-panel > ul > li.picked,
.datepicker-panel > ul > li.picked:hover {
  color: #39f;
}
.datepicker-panel > ul > li.disabled,
.datepicker-panel > ul > li.disabled:hover {
  background-color: #fff;
  color: #ccc;
  cursor: default;
}
.datepicker-panel > ul > li.disabled.highlighted,
.datepicker-panel > ul > li.disabled:hover.highlighted {
  background-color: #e5f2ff;
}
.datepicker-panel > ul > li[data-view="month next"],
.datepicker-panel > ul > li[data-view="month prev"],
.datepicker-panel > ul > li[data-view="year next"],
.datepicker-panel > ul > li[data-view="year prev"],
.datepicker-panel > ul > li[data-view="years next"],
.datepicker-panel > ul > li[data-view="years prev"],
.datepicker-panel > ul > li[data-view="next"] {
  font-size: 18px;
}
.datepicker-panel > ul > li[data-view="month current"],
.datepicker-panel > ul > li[data-view="year current"],
.datepicker-panel > ul > li[data-view="years current"] {
  width: 150px;
}
.datepicker-panel > ul[data-view="months"] > li,
.datepicker-panel > ul[data-view="years"] > li {
  height: 52.5px;
  line-height: 52.5px;
  width: 52.5px;
}
.datepicker-panel > ul[data-view="week"] > li,
.datepicker-panel > ul[data-view="week"] > li:hover {
  background-color: #fff;
  cursor: default;
}
.datepicker-hide {
  display: none;
}
body section {
  padding-top: 30px;
}
body li.completed > .CriteriaGroup {
  margin-bottom: 30px;
}
body .CriteriaGroup {
  border: 1px solid #ddd;
  display: flex;
  position: relative;
  border-radius: 5px;
  background: #fff;
  margin-top: 30px;
  margin-bottom: 80px;
  clear: both;
  -moz-box-shadow: 0px 2px 3px 0px #cfcfcf;
  -webkit-box-shadow: 0px 2px 3px 0px #cfcfcf;
  -o-box-shadow: 0px 2px 3px 0px #cfcfcf;
  box-shadow: 0px 2px 3px 0px #cfcfcf;
  filter: progid:DXImageTransform.Microsoft.Shadow(color=#cfcfcf, Direction=180, Strength=3);
}
body .CriteriaGroup > div {
  min-width: 80px;
  padding: 2px 5px;
}
body .CriteriaGroup .ObjectPropertyGroup .current {
  font-style: italic;
}
body .CriteriaGroup .ObjectPropertyGroup.Invisible .ObjectPropertyTypeId {
  display: none;
}
body .CriteriaGroup span.unselect {
  display: block;
  position: absolute;
  top: -9px;
  right: 0;
  width: 22px;
  height: 22px !important;
  padding: 0 0;
  text-align: center;
  cursor: pointer;
  color: #b66100;
  background: #fff !important;
  line-height: 22px;
  font-size: 18px;
  box-sizing: border-box;
  border-radius: 11px;
  z-index: 1;
}
body .CriteriaGroup .EndClassGroup.IsOnEdit > span.unselect {
  display: none;
}
body .CriteriaGroup .nice-select.disabled:after {
  display: none;
}
body .CriteriaGroup .nice-select .current {
  display: inline-block;
  height: 40px;
  line-height: 40px;
}
body .CriteriaGroup .nice-select .current span {
  display: inline-block;
}
body .CriteriaGroup .nice-select .current .selectIcon {
  float: left;
  width: 26px;
  text-align: center;
  margin-left: 5px;
}
body .CriteriaGroup .EndClassGroup {
  position: relative;
  min-width: auto;
}
body .CriteriaGroup .EndClassGroup .EditComponents {
  position: absolute;
  left: 36px;
  top: 47px;
  line-height: 35px;
  z-index: 101;
  height: 48px;
  padding: 0 0;
  width: auto;
}
body .CriteriaGroup .EndClassGroup .EditComponents .ActionWhere,
body .CriteriaGroup .EndClassGroup .EditComponents .ObjectPropertyTypeWidget {
  position: relative;
  border-left: 3px solid #fa8803;
  height: 48px;
  padding-left: 25px;
  padding-right: 5px;
  line-height: 48px;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block;
  width: 100%;
  min-width: 1px;
  font-size: 14px;
  text-decoration: underline;
}
body .CriteriaGroup .EndClassGroup .EditComponents .ActionWhere > a,
body .CriteriaGroup .EndClassGroup .EditComponents .ActionWhere > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > a,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > div {
  position: absolute;
  left: 100%;
  top: 0;
}
body .CriteriaGroup .EndClassGroup .EditComponents .ActionWhere > a,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > a {
  top: 50%;
  transform: translate(0, -50%);
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .listwidget
  > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .listwidget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .search-widget
  > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .search-widget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .listwidget
  > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .listwidget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .search-widget
  > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .search-widget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > input {
  display: inline-block;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .listwidget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .search-widget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .listwidget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .search-widget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > input {
  height: 35px;
  width: 60px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .listwidget
  > button,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .search-widget
  > button,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > button,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .listwidget
  > button,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .search-widget
  > button,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > button {
  height: 35px;
  line-height: 20px;
  margin-left: 5px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > .easy-autocomplete,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > .easy-autocomplete {
  width: 176px !important;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > .easy-autocomplete
  .easy-autocomplete-container
  ul
  li,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > .easy-autocomplete
  .easy-autocomplete-container
  ul
  li {
  position: relative;
  width: 296px;
  padding-right: 120px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > .easy-autocomplete
  .easy-autocomplete-container
  ul
  li
  span,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > .easy-autocomplete
  .easy-autocomplete-container
  ul
  li
  span {
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  height: 30px;
  width: 60px;
  line-height: 20px;
  text-align: left;
  padding: 5px 12px;
  font-size: 14px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  > .easy-autocomplete
  .easy-autocomplete-container
  ul
  li
  span.start,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  > .easy-autocomplete
  .easy-autocomplete-container
  ul
  li
  span.start {
  right: 60px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .date-widget
  input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .date-widget
  input {
  border-color: #ccc;
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset;
  color: #555;
  float: none;
  padding: 6px 10px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  > .search-widget
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  > .search-widget
  > input {
  width: 150px;
  border-color: #ccc;
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset;
  color: #555;
  float: none;
  padding: 6px 12px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ActionWhere
  .easy-autocomplete-container
  > ul
  > li,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ObjectPropertyTypeWidget
  .easy-autocomplete-container
  > ul
  > li {
  white-space: normal;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .TimeDatePickerWidget
  > .date-widget
  > div,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .TimeDatePickerWidget
  > .date-widget
  > input {
  display: inline-block;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .TimeDatePickerWidget
  > .date-widget
  > input {
  height: 35px;
  width: 105px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .TimeDatePickerWidget
  > .date-widget
  > button {
  height: 35px;
  line-height: 20px;
  margin-left: 5px;
}
body .CriteriaGroup .EndClassGroup .EditComponents .ActionWhere {
  height: 20px;
  line-height: 20px;
  position: absolute;
  top: 48px;
  width: auto;
}
body .CriteriaGroup .EndClassGroup .EditComponents .ActionWhere .edit-trait {
  top: 9px;
}
body .CriteriaGroup .EndClassGroup .EditComponents .edit-trait {
  position: absolute;
  top: 50%;
  left: 0;
  width: 20px;
  border-top: 3px solid #fa8803;
  display: inline-block;
}
body .CriteriaGroup .EndClassGroup .EditComponents .edit-trait .edit-trait-top {
  position: absolute;
  bottom: 3px;
  left: -2px;
  display: none;
  border-left: 3px solid #fa8803;
  height: 24px;
}
body .CriteriaGroup .EndClassGroup .EditComponents .edit-num {
  position: absolute;
  top: -2px;
  left: -1px;
  transform: translate(-50%, -50%);
  border: 3px solid #fa8803;
  border-radius: 10px;
  width: 20px;
  height: 20px;
  text-align: center;
  line-height: 14px;
  font-size: 10px;
  background: #fff;
  font-style: italic;
}
body .CriteriaGroup .EndClassGroup .EditComponents .SearchWidget,
body .CriteriaGroup .EndClassGroup .EditComponents .DatesWidget {
  max-width: 600px;
  white-space: nowrap;
}
body .CriteriaGroup .EndClassGroup .EditComponents .SearchWidget > div,
body .CriteriaGroup .EndClassGroup .EditComponents .SearchWidget > input,
body .CriteriaGroup .EndClassGroup .EditComponents .DatesWidget > div,
body .CriteriaGroup .EndClassGroup .EditComponents .DatesWidget > input {
  display: inline-block;
}
body .CriteriaGroup .EndClassGroup .EditComponents .SearchWidget > input,
body .CriteriaGroup .EndClassGroup .EditComponents .DatesWidget > input {
  width: 70px;
  height: 42px;
  border-color: #ccc;
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset;
  color: #555;
  float: none;
  padding: 6px 12px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .SearchWidget
  .easy-autocomplete
  > input,
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .DatesWidget
  .easy-autocomplete
  > input {
  width: 100%;
}
body .CriteriaGroup .EndClassGroup .EditComponents .SearchWidget > input {
  width: 200px;
}
body .CriteriaGroup .EndClassGroup .EditComponents .ListeWidget .nice-select {
  background: #fff;
  height: 35px;
  line-height: 35px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ListeWidget
  .nice-select
  .current {
  display: inline-block;
  height: 35px;
  line-height: 35px;
}
body
  .CriteriaGroup
  .EndClassGroup
  .EditComponents
  .ListeWidget
  .nice-select
  .list
  li.option {
  min-height: 35px;
  line-height: 35px;
}
body .CriteriaGroup .EndClassGroup .EditComponents .button-add {
  border: 3px solid #fa8803;
  border-radius: 15px;
  background: #fff;
  box-sizing: border-box;
  padding: 0 10px;
}
body .CriteriaGroup .EndClassGroup .EditComponents .button-add:hover {
  color: #fa8803;
  cursor: pointer;
}
body
  .CriteriaGroup
  .EndClassGroup.noPropertyWidget
  .EditComponents
  .ActionWhere {
  top: 16px;
}
body
  .CriteriaGroup
  .EndClassGroup.noPropertyWidget
  .EditComponents
  .ActionWhere
  .trait-top {
  position: absolute;
  top: -16px;
  left: -1px;
  border-left: 3px solid #fa8803;
  margin-left: -1px;
  height: 16px;
}
body .CriteriaGroup .EndClassWidgetGroup {
  min-width: 35%;
  padding: 2px 15px 2px 0;
  margin-left: -14px;
  display: flex;
  -ms-flex-align: center;
  -webkit-align-items: center;
  -webkit-box-align: center;
  align-items: center;
}
body .CriteriaGroup .EndClassWidgetGroup .easy-autocomplete {
  width: 100% !important;
}
body .CriteriaGroup .EndClassWidgetGroup input {
  width: 100% !important;
  display: block;
}
body .CriteriaGroup .EndClassWidgetGroup .EndClassWidgetAddOrValue,
body .CriteriaGroup .EndClassWidgetGroup .EndClassWidgetValue {
  color: #fff;
  font-size: 14px;
  display: inline-block;
  padding: 0 0 0 15px;
}
body .CriteriaGroup .EndClassWidgetGroup .EndClassWidgetAddOrValue span,
body .CriteriaGroup .EndClassWidgetGroup .EndClassWidgetValue span {
  display: inline-block;
  vertical-align: middle;
  margin: 0;
}
body
  .CriteriaGroup
  .EndClassWidgetGroup
  .EndClassWidgetAddOrValue
  span.label-two-line,
body
  .CriteriaGroup
  .EndClassWidgetGroup
  .EndClassWidgetValue
  span.label-two-line {
  line-height: 21px;
  line-height: 21px;
}
body .CriteriaGroup .EndClassWidgetGroup .EndClassWidgetAddOrValue {
  color: #fff;
  line-height: 42px;
  height: 42px;
  font-size: 20px;
  cursor: pointer;
  vertical-align: middle;
}
body .CriteriaGroup .EndClassWidgetGroup .EndClassWidgetAddOrValue span {
  line-height: 42px;
  vertical-align: baseline;
  display: inline-block;
  height: 42px;
}
body .CriteriaGroup .EndClassWidgetGroup span.unselect {
  top: -11px;
}
body .CriteriaGroup .ActionsGroup {
  position: absolute;
  display: block;
  top: 100%;
  left: 0;
  width: 100%;
  height: 46px;
  padding: 0;
  background: transparent;
  z-index: 100;
}
body .CriteriaGroup .ActionsGroup > div {
  position: absolute;
}
body .CriteriaGroup .ActionsGroup .ActionRemove {
  right: 0;
  top: -46px;
  line-height: 46px;
}
body .CriteriaGroup .ActionsGroup .ActionRemove a {
  cursor: pointer;
  display: inline-block;
  line-height: 46px;
  vertical-align: top;
  padding: 0 15px;
  height: 46px;
}
body .CriteriaGroup .ActionsGroup .ActionRemove a .unselect {
  position: relative;
  top: 0;
  line-height: 46px;
}
body .CriteriaGroup .ActionsGroup .ActionAnd {
  left: 15px;
  top: 15px;
  line-height: 46px;
  text-align: center;
}
body li.hideEndClassProperty > div > .EndClassGroup > .unselect,
body li.hideEndClassProperty > div > .EndClassGroup > .ClassTypeId {
  display: none;
}
body .haveWhereChild {
  position: relative;
}
body .haveWhereChild > .link-where-bottom {
  position: absolute;
  left: 200px;
  top: 78px;
  height: 31px;
  border-left: 3px solid #fa8803;
  display: block;
}
body .haveWhereChild > .CriteriaGroup .EndClassGroup .ObjectPropertyTypeWidget {
  display: none;
}
body .haveWhereChild > .CriteriaGroup > div.EndClassGroup span.unselect {
  right: 13px;
}
body .haveWhereChild > ul {
  position: relative;
}
body .haveWhereChild > ul > .lien-top {
  position: absolute;
  top: -2px;
  left: 111px;
  border-left: 3px solid #fa8803;
  border-top: 3px solid #fa8803;
  width: attr(data-before-width) px;
  height: 36px;
  display: block;
}
body .haveWhereChild > ul > .lien-top > span {
  position: absolute;
  top: -17px;
  left: -2px;
  display: block;
  background: #fff;
  border: 2px solid #fa8803;
  border-radius: 15px;
  height: 30px;
  line-height: 20px;
  padding: 2px 10px;
  width: auto;
  transform: translateX(-50%);
}
body .Sparnatural ul.componentsListe {
  padding: 0;
  width: 1200px;
  max-width: 90%;
  margin: 0 auto;
}
body .Sparnatural ul.componentsListe,
body .Sparnatural ul.componentsListe ul {
  list-style-type: none;
  padding: 0;
  background: transparent;
  clear: both;
  border: 0 solid #transparent;
}
body
  .Sparnatural
  ul.componentsListe
  ul
  li
  li.OnEdit
  > div
  > div
  > .ActionWhere.ShowOnEdit {
  display: none;
}
body .Sparnatural ul.componentsListe li.groupe {
  margin: 0;
  padding-top: 1px;
  padding-bottom: 1px;
  display: block;
  clear: both;
}
body .Sparnatural ul.componentsListe li.groupe li.groupe {
  margin-left: 75px;
}
body .Sparnatural ul.componentsListe li.groupe .ActionWhere {
  display: inline-block;
}
body .Sparnatural ul.componentsListe li.groupe .ActionAnd .trait-and-bottom {
  position: absolute;
  top: -14px;
  left: 50%;
  border-left: 3px solid #fa8803;
  margin-left: -1px;
  height: 15px;
}
body .Sparnatural ul.componentsListe li.groupe .ActionAnd a {
  cursor: pointer;
  display: block;
  background: #fff;
  border: 2px solid #fa8803;
  border-radius: 15px;
  height: 30px;
  line-height: 20px;
  padding: 2px 10px;
  width: auto;
  text-align: center;
}
body .Sparnatural ul.componentsListe li.groupe .ActionAnd a:hover {
  color: #fa8803;
}
body .Sparnatural ul.componentsListe li.groupe .ActionWhere a {
  cursor: pointer;
  display: block;
  background: #fff;
  border: 2px solid #fa8803;
  border-radius: 13px;
  height: 26px;
  line-height: 20px;
  min-width: 26px;
  text-align: center;
  font-size: 14px;
  color: #fa8803;
  font-weight: bold;
  padding: 0;
}
body .Sparnatural ul.componentsListe li.groupe .ActionWhere a:hover {
  color: #fa8803;
}
body .Sparnatural ul.componentsListe li.groupe > div > div > .ShowOnHover {
  display: none;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.OnHover
  > div
  > div.ActionsGroup
  > .ShowOnHover,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.OnHover
  > div
  > div.HasInputsCompleted
  > .ShowOnHover {
  display: block;
}
body .Sparnatural ul.componentsListe li.groupe > div > div > .ShowOnEdit {
  display: none;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.OnEdit
  > div
  > div.ActionsGroup
  > .ShowOnEdit,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.OnEdit
  > div
  > div.HasInputsCompleted
  > .ShowOnEdit {
  display: block;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  li.addWereDisable
  .ActionWhere.ShowOnEdit,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.OnEdit
  > div
  .ActionWhere.ShowOnEdit,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.OnEdit
  > div.completed
  > div
  .ActionWhere.ShowOnEdit {
  display: none;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.addWereDisable
  > div
  .ObjectPropertyTypeWidget,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible
  > div
  .ObjectPropertyTypeWidget {
  border-left-color: transparent;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.addWereDisable
  > div
  .ObjectPropertyTypeWidget
  .edit-trait-top,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible
  > div
  .ObjectPropertyTypeWidget
  .edit-trait-top {
  display: block;
}
body .Sparnatural ul.componentsListe li.groupe .easy-autocomplete input {
  height: 35px;
  box-sizing: border-box;
}
body .Sparnatural ul.componentsListe li.groupe .easy-autocomplete-container {
  z-index: 999;
}
body .Sparnatural ul.componentsListe li.groupe .easy-autocomplete-container ul {
  line-height: 20px;
  background: #fff;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .easy-autocomplete-container
  ul
  li {
  padding: 5px;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .easy-autocomplete-container
  ul
  li.selected {
  background: #fa8803;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue {
  max-width: 220px;
  height: 42px;
  padding-right: 15px;
  margin-right: -15px;
  display: block;
  padding-left: 20px;
  padding-right: 0;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue:before,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue:before {
  content: "";
  width: 0;
  height: 0;
  line-height: 0;
  padding: 0;
  display: inline-block;
  float: left;
  border-style: solid;
  border-width: 21px 0 21px 15px;
  border-color: transparent transparent transparent transparent;
  margin-left: -20px;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue {
  position: relative;
  padding-left: 18px;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue
  > .triangle-b,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue
  > .triangle-h,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue
  > .triangle-b,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue
  > .triangle-h {
  position: absolute;
  left: 3px;
  background: transparent;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue
  > .triangle-h,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue
  > .triangle-h {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 15px 21px 0;
  border-color: transparent #fa8803 transparent transparent;
  top: 0;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue
  > .triangle-b,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue
  > .triangle-b {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 0 21px 15px;
  border-color: transparent transparent #fa8803 transparent;
  bottom: 0;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue:after,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue:after {
  content: "";
  width: 0;
  height: 0;
  line-height: 0;
  padding: 0;
  display: inline-block;
  float: right;
  margin-right: 0;
  border-style: solid;
  border-width: 21px 0 21px 15px;
  border-color: transparent transparent transparent #fa8803;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue
  span,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue
  span {
  background: #fa8803;
  height: 42px;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue
  p,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue
  p {
  line-height: 42px;
  height: 42px;
  width: calc(100% - 15px);
  background: #fa8803;
  margin: 0;
  padding: 0 0 0 5px;
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: center;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetAddOrValue
  p
  span,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.WhereImpossible.completed
  > div
  .EndClassWidgetValue
  p
  span {
  line-height: 1;
  display: inline;
  vertical-align: baseline;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
body .Sparnatural ul.componentsListe li.groupe .nice-select {
  background: transparent;
  border-color: transparent;
  padding-left: 10px;
}
body .Sparnatural ul.componentsListe li.groupe .nice-select ul.list li {
  border-bottom: solid 1px #e8e8e8;
}
body .Sparnatural ul.componentsListe li.groupe .nice-select ul.list li img {
  height: 40px;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list
  li
  img.highlited {
  display: none;
}
body .Sparnatural ul.componentsListe li.groupe .nice-select ul.list li.selected,
body .Sparnatural ul.componentsListe li.groupe .nice-select ul.list li.focus,
body .Sparnatural ul.componentsListe li.groupe .nice-select ul.list li:hover {
  background: #fa8803;
  color: #fff;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list
  li.selected
  img,
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list
  li.focus
  img,
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list
  li:hover
  img {
  display: none;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list
  li.selected
  img.highlited,
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list
  li.focus
  img.highlited,
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list
  li:hover
  img.highlited {
  display: inline;
}
body .Sparnatural ul.componentsListe li.groupe .nice-select ul.list {
  background: #fff;
  top: 0;
  margin-top: 0;
  max-height: 450px;
  overflow-y: auto;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list:hover
  .option:not(:hover) {
  color: #000;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list:hover
  .option:not(:hover)
  img {
  display: inline;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  ul.list:hover
  .option:not(:hover)
  img.highlited {
  display: none;
}
body .Sparnatural ul.componentsListe li.groupe .nice-select .current img {
  height: 40px;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe
  .nice-select
  .current
  img.highlited {
  display: none;
}
body .Sparnatural ul.componentsListe li.groupe .nice-select.disabled {
  color: #888;
  border-color: transparent;
}
body .Sparnatural ul.componentsListe li.groupe.completed > div .Highlited {
  background: #fa8803;
  margin-right: 23px;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  .Highlited
  .nice-select {
  background: transparent;
  border-color: transparent;
  color: #fff;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  .Highlited
  .nice-select
  .current
  img {
  display: none;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  .Highlited
  .nice-select
  .current
  img.highlited {
  display: inline;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  .Highlited
  .nice-select.disabled {
  color: #fff;
  border-color: transparent;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  .Highlited:after {
  content: "";
  width: 0;
  height: 0;
  line-height: 0;
  padding: 0;
  display: inline-block;
  float: right;
  margin-right: -15px;
  border-style: solid;
  border-width: 21px 0 21px 15px;
  border-color: transparent transparent transparent #fa8803;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  .EndClassGroup
  .Highlited:before {
  content: "";
  width: 0;
  height: 0;
  line-height: 0;
  padding: 0;
  display: inline-block;
  float: left;
  border-style: solid;
  border-width: 21px 0 21px 15px;
  border-color: transparent transparent transparent #fff;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  > div
  .EditComponents
  .ActionWhere,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  > div
  .EditComponents
  .ObjectPropertyTypeWidget {
  display: none;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed
  > div
  > div
  .EditComponents.newOr
  .ObjectPropertyTypeWidget {
  display: block;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed.WhereImpossible
  > div
  .EndClassGroup
  .Highlited {
  background: transparent;
  color: #888;
  margin-right: 0;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed.WhereImpossible
  > div
  .EndClassGroup
  .Highlited:before,
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed.WhereImpossible
  > div
  .EndClassGroup
  .Highlited:after {
  display: none;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed.WhereImpossible
  > div
  .EndClassGroup
  .Highlited
  .current {
  color: #888;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed.WhereImpossible
  > div
  .EndClassGroup
  .Highlited
  .current
  img {
  display: inline;
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.completed.WhereImpossible
  > div
  .EndClassGroup
  .Highlited
  .current
  img.highlited {
  display: none;
}
body .Sparnatural ul.componentsListe li.groupe > .link-and-bottom {
  display: none;
}
body .Sparnatural ul.componentsListe li.groupe.hasAnd {
  position: relative;
}
body .Sparnatural ul.componentsListe li.groupe.hasAnd > .link-and-bottom {
  display: block;
  position: absolute;
  left: 36px;
  top: 54px;
  border-left: 3px solid #fa8803;
}
body .Sparnatural ul.componentsListe li.groupe.hasAnd > .link-and-bottom span {
  position: absolute;
  top: 50%;
  left: -2px;
  display: block;
  background: #fff;
  border: 2px solid #fa8803;
  border-radius: 15px;
  height: 30px;
  line-height: 20px;
  padding: 2px 10px;
  width: auto;
  transform: translate(-50%, -50%);
}
body
  .Sparnatural
  ul.componentsListe
  li.groupe.hasAnd.OnEdit
  > div
  > div
  > .ShowOnHover.ActionAnd {
  display: none;
}

/*# sourceMappingURL=sparnatural.css.map*/
